Name:           gwenview
Version:        1.3.1
Release:        0.1%{?dist}%{?kde}
Summary:        Simple image viewer for KDE

Group:          Applications/Multimedia
License:        GPL
URL:            http://gwenview.sf.net
Source0:        http://dl.sf.net/gwenview/gwenview-1.3.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel >= 6:3.1
BuildRequires:  desktop-file-utils
BuildRequires:  libkipi-devel
BuildRequires:  gettext

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide easy
navigation in your file hierarchy.  Image loading is done by the Qt library,
so it supports all image formats your Qt installation supports.


%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --disable-final \
  --enable-kipi

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Viewer \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libgwenview*.la


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/crystalsvg ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
  
%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/crystalsvg ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/gvdirpart/
%{_datadir}/apps/gvimagepart/
%{_datadir}/apps/gwenview/
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%config %{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/services/*.desktop
%{_libdir}/kde3/lib*
%{_libdir}/kde3/gwenview.*
%{_libdir}/lib*
%{_mandir}/man1/*


%changelog
* Mon Nov 21 2005 Rex Dieter - 1.3.1-0.1
- 1.3.1

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.0-4.fc4
- temporarily add patch to work around Fedora Core bug 159090

* Thu May 26 2005 Jeremy Katz <katzj@redhat.com> - 1.2.0-3.fc4
- fix build on 64bit systems (#158887)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.0-2.fc4
- rebuild on all arches

* Fri Apr 08 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.0-1.fc4
- version 1.2.0
- change release tag for FC4

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.6-2
- remove hardcoded requirement to kipi-plugins

* Mon Oct 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.6-0.fdr.1
- version 1.1.6
- drop FC1 support

* Wed Mar 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.4
- fix typo in desktop file

* Tue Mar 16 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.3
- apply fedora.us suggestions (#1386) :
  - fix desktop file
  - prepare for FC2
  - remove explicit requires, rpm handles this

* Mon Mar 15 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.2
- requires libjpeg to rotate and flip images
- remove desktop file category AudioVideo

* Sun Mar 14 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.1
- Initial RPM release.
